summaryrefslogtreecommitdiffstats
path: root/system/pw
diff options
context:
space:
mode:
author B. Watson2022-05-20 01:19:07 +0200
committer Willy Sudiarto Raharjo2022-05-21 03:25:16 +0200
commit3b81dd3cbb986779971562b6c776ba0e1b06546c (patch)
tree56549a8f25e6f214f5000bef83edc9e16e1e602b /system/pw
parent14303b4b4ad1a73933ecfa4f753f7e7b4ba38961 (diff)
downloadslackbuilds-3b81dd3cbb986779971562b6c776ba0e1b06546c.tar.gz
system/pw: Added (view data passing through a pipe)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/pw')
-rw-r--r--system/pw/README10
-rw-r--r--system/pw/pw.SlackBuild73
-rw-r--r--system/pw/pw.info10
-rw-r--r--system/pw/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/system/pw/README b/system/pw/README
new file mode 100644
index 0000000000..8cc1060c51
--- /dev/null
+++ b/system/pw/README
@@ -0,0 +1,10 @@
+pw (view data passing through a pipe)
+
+pw stands for Pipe Watch, a utility that continuously reads lines
+of text from a pipe or pipe-like source, passes them through a FIFO
+buffer, and maintains a display based on occasionally sampling the
+contents of the FIFO buffer, with useful features such as triggering
+and filtering.
+
+pw can monitor anything that produces textual output. tail -f
+/var/logfile, tcpdump, strace, ...
diff --git a/system/pw/pw.SlackBuild b/system/pw/pw.SlackBuild
new file mode 100644
index 0000000000..c82e8972f6
--- /dev/null
+++ b/system/pw/pw.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/bash
+
+# Slackware build script for pw
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=pw
+VERSION=${VERSION:-1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown root:root *
+chmod 644 *
+
+make CFLAGS="$SLKCFLAGS"
+mkdir -p $PKG/usr/{bin,man/man1}
+install -s pw $PKG/usr/bin/pw
+gzip -9c < pw.1 > $PKG/usr/man/man1/pw.1.gz
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a README.md $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/pw/pw.info b/system/pw/pw.info
new file mode 100644
index 0000000000..bf6e340332
--- /dev/null
+++ b/system/pw/pw.info
@@ -0,0 +1,10 @@
+PRGNAM="pw"
+VERSION="1"
+HOMEPAGE="https://www.kylheku.com/cgit/pw/"
+DOWNLOAD="https://www.kylheku.com/cgit/pw/snapshot/pw-1.tar.bz2"
+MD5SUM="0adf4d452808f72c25838c995f68943b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/pw/slack-desc b/system/pw/slack-desc
new file mode 100644
index 0000000000..c99435a81d
--- /dev/null
+++ b/system/pw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pw: pw (view data passing through a pipe)
+pw:
+pw: pw stands for Pipe Watch, a utility that continuously reads lines
+pw: of text from a pipe or pipe-like source, passes them through a FIFO
+pw: buffer, and maintains a display based on occasionally sampling the
+pw: contents of the FIFO buffer, with useful features such as triggering
+pw: and filtering.
+pw:
+pw: pw can monitor anything that produces textual output. tail -f
+pw: /var/logfile, tcpdump, strace, ...
+pw: